Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.jdbc
Interface LobCreationContext

All Known Subinterfaces:
  EventSource, SessionImplementor

All Known Implementing Classes:
  AbstractDelegateSessionImplementor, AbstractSessionImpl, SessionImpl, StatelessSessionImpl, ToOneDelegateSessionImplementor

    public interface LobCreationContext

Provides callback access into the context in which the LOB is to be created.

Nested Class Summary
`static interface` | `LobCreationContext.Callback<T>` The callback contract for making use of the JDBC `Connection`.

Method Summary
`
`<T> T`
` | `execute(LobCreationContext.Callback<T> callback)` Execute the given callback, making sure it has access to a viable JDBC `Connection`.

Method Detail

### execute

    <T> T execute(LobCreationContext.Callback<T> callback)

  Execute the given callback, making sure it has access to a viable JDBC `Connection`.

  Parameters:
    `callback` - The callback to execute .
  Returns:
    The LOB created by the callback.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.